aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJudd Vinet <judd@archlinux.org>2002-03-24 08:40:40 +0000
committerJudd Vinet <judd@archlinux.org>2002-03-24 08:40:40 +0000
commit65405267704892a9bcb42186c95adcf4566cbf8c (patch)
treea665d6e705a6ed5e535f3f6367b95d7c00858d51
parenteea6fee11ad792708d6b8fbf0cb5b42b00ea1c91 (diff)
downloadinitscripts-65405267704892a9bcb42186c95adcf4566cbf8c.tar.xz
Added rc.d network script to initscripts
-rwxr-xr-xnetwork42
-rw-r--r--rc.conf2
-rwxr-xr-xrc.multi11
-rwxr-xr-xrc.shutdown7
4 files changed, 46 insertions, 16 deletions
diff --git a/network b/network
new file mode 100755
index 0000000..981cc2d
--- /dev/null
+++ b/network
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting Network"
+ /sbin/ifconfig lo 127.0.0.1 netmask 255.255.255.255
+ ret=$?
+ if [ "$IPADDR" != "" -a "$NETMASK" != "" ]; then
+ /sbin/ifconfig eth0 $IPADDR netmask $NETMASK
+ ret=$?
+ if [ "$GATEWAY" != "" ]; then
+ /sbin/route add default gw $GATEWAY
+ fi
+ fi
+ if [ $? -gt 0 -o $ret -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Network"
+ /sbin/ifconfig lo down
+ if [ ! `/sbin/ifconfig eth0 | egrep '^ *UP' &>/dev/null` ]; then
+ /sbin/ifconfig eth0 down
+ fi
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
diff --git a/rc.conf b/rc.conf
index 389e0cd..5585646 100644
--- a/rc.conf
+++ b/rc.conf
@@ -19,7 +19,7 @@ GATEWAY="192.168.0.1"
#
# Daemons to start at boot-up
#
-DAEMONS=()
+DAEMONS=(crond inetd)
#
# PCMCIA
diff --git a/rc.multi b/rc.multi
index 0e8629f..cb6def7 100755
--- a/rc.multi
+++ b/rc.multi
@@ -11,15 +11,8 @@ if [ "$PCMCIA" = "yes" -a -f /etc/rc.d/pcmcia ]; then
/etc/rc.d/pcmcia start
fi
-stat_busy "Starting Network"
-/sbin/ifconfig lo 127.0.0.1 netmask 255.255.255.255
-if [ "$IPADDR" != "" -a "$NETMASK" != "" ]; then
- /sbin/ifconfig eth0 $IPADDR netmask $NETMASK
- if [ "$GATEWAY" != "" ]; then
- /sbin/route add default gw $GATEWAY
- fi
-fi
-stat_done
+# Start network
+/etc/rc.d/network start
# Start daemons
for daemon in "${DAEMONS[@]}"; do
diff --git a/rc.shutdown b/rc.shutdown
index b9f8296..ae7f9d0 100755
--- a/rc.shutdown
+++ b/rc.shutdown
@@ -21,12 +21,7 @@ if [ "$PREVLEVEL" = "2" ]; then
fi
# Shutdown network
- stat_busy "Shutting Down Network"
- /sbin/ifconfig lo down
- if [ "$IPADDR" != "" -a "$NETMASK" != "" ]; then
- /sbin/ifconfig eth0 down
- fi
- stat_done
+ /etc/rc.d/network stop
# Shutdown pcmcia
if [ "$PCMCIA" = "yes" -a -f /etc/rc.d/pcmcia ]; then